# Enrich dispute representment

This method allows you to enrich dispute representment with additional content.

Endpoint: POST /dispute-representments/enrich
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `dispute_type` (string, required)
    Type of represented dispute.
    Enum: "card", "paypal"

  - `dispute_id` (string, required)
    Identifier of the represented dispute that corresponds to the orders chargebacks id in chargebacks.

  - `enrichment` (object, required)
    Additional enrichment content for dispute representment.

  - `enrichment.proof_of_communication` (array)
    Emails, chat logs, or support tickets showing cardholder interaction.

  - `enrichment.proof_of_communication.file_id` (string, required)
    Unique identifier of the enrichment content file.
Should be provided for the uploaded file one of extensions jpg, jpeg, png, pdf, csv, txt, docx. File size does not exceed 0.5 MB (524288 bytes).

  - `enrichment.proof_of_communication.annotation` (string)
    Annotation for the enrichment file.

  - `enrichment.application_logs` (array)
    System logs providing technical evidence of the transaction or user activity.

  - `enrichment.proof_of_delivery` (array)
    Shipping confirmations, tracking info, or signed delivery receipts.

  - `enrichment.invoice` (array)
    Invoice documents with itemized charges and billing details.

  - `enrichment.receipts` (array)
    Transaction receipts or payment confirmations.

  - `enrichment.other` (array)
    Additional supporting documents not covered by other categories.

  - `submit` (boolean)
    Submit the dispute representment after including provided enrichment content.
If set to false, the representment file with enrichment content will be created,
but not submitted immediately.

  - `dispute_id` (string, required)
    Identifier of the represented dispute that corresponds to the dispute_id parameter in PayPal disputes.

## Request examples:

  - `Card dispute representment enrichment` (unknown)

  - `PayPal dispute representment enrichment` (unknown)

## Response 200:

  - `200` (unknown)
    Request received

## Response 200 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: 2.01

  - `error.message` (string, required)
    Error message.
    Example: Validation error

  - `error.constraints` (object)
    Map of constraints.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string)
    Enum: "2.01 Dispute not found", "2.01 File not found"

  - `error.code` (string, required)
    Error 2.01 code.
    Enum: "2.01"

  - `error.message` (string, required)
    Dispute not found.
Specified dispute not found in the system.

  - `error.message` (string, required)
    File not found.
File with provided ID not found.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string)
    Enum: "2.01 File not ready", "2.01 File size exceeded", "2.01 Total files size exceeded", "2.01 File type not supported", "2.01 Enrichment not possible"

  - `error.code` (string, required)
    Error 2.01 code.
    Enum: "2.01"

  - `error.message` (string, required)
    File not ready.
File object was created, but its content uploaded was not completed yet.

  - `error.message` (string, required)
    File size exceeded.
Evidence file size exceeds the limit for the requested dispute type.

  - `error.message` (string, required)
    Total files size exceeded.
Total size of evidence enrichment files exceeds the limit for the requested dispute.

  - `error.message` (string, required)
    File type not supported.
Evidence file type is not suitable for dispute representment.

  - `error.message` (string, required)
    Representment enrichment not possible.
The representment enrichment is not possible due to the current state of the dispute representment.

## Response 200 examples:

  - `Success` (unknown)

  - `Authentication failed` (unknown)

## Response 400 examples:

  - `Error 2.01 Invalid data` (unknown)

## Response 404 examples:

  - `Error 2.01 Dispute not found` (unknown)

  - `Error 2.01 File not found` (unknown)

## Response 422 examples:

  - `Error 2.01 File not ready` (unknown)

  - `Error 2.01 File size exceeded` (unknown)

  - `Error 2.01 Total files size exceeded` (unknown)

  - `Error 2.01 File type not supported` (unknown)

  - `Error 2.01 Enrichment not possible` (unknown)

